var search_data = {"index":{"searchIndex":["strand","atc","conditionvariable","[]()","[]=()","alive?()","current()","join()","list()","new()","new()","pass()","resume()","signal()","sleep()","value()","wait()","yield()","license","readme"],"longSearchIndex":["strand","strand::atc","strand::conditionvariable","strand#[]()","strand#[]=()","strand#alive?()","strand::current()","strand#join()","strand::list()","strand::new()","strand::conditionvariable::new()","strand::pass()","strand#resume()","strand::conditionvariable#signal()","strand::sleep()","strand#value()","strand::conditionvariable#wait()","strand::yield()","",""],"info":[["Strand","","Strand.html","",""],["Strand::Atc","","Strand/Atc.html","",""],["Strand::ConditionVariable","","Strand/ConditionVariable.html","","<p>Provides for Strands (Fibers) what Ruby&#39;s ConditionVariable provides for Threads.\n"],["[]","Strand","Strand.html#method-i-5B-5D","(name)","<p>Access to “strand local” variables, akin to “thread local” variables.\n\n<pre>Strand.new do ...</pre>\n"],["[]=","Strand","Strand.html#method-i-5B-5D-3D","(name, value)","<p>Access to “strand local” variables, akin to “thread local” variables.\n\n<pre>Strand.new do ...</pre>\n"],["alive?","Strand","Strand.html#method-i-alive-3F","()","<p>Like Thread#alive? or Fiber#alive?\n"],["current","Strand","Strand.html#method-c-current","()","<p>Get the currently running strand.  Primarily used to access “strand local” variables.\n"],["join","Strand","Strand.html#method-i-join","()","<p>Like Thread#join.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">s1</span> = <span class=\"ruby-constant\">Strand</span>.<span class=\"ruby-identifier\">new</span>{ <span class=\"ruby-constant\">Strand</span>.<span class=\"ruby-identifier\">sleep</span>(<span class=\"ruby-value\">1</span>) }\n<span class=\"ruby-identifier\">s2</span> = <span class=\"ruby-constant\">Strand</span>.<span class=\"ruby-identifier\">new</span>{ <span class=\"ruby-constant\">Strand</span>.<span class=\"ruby-identifier\">sleep</span>(<span class=\"ruby-value\">1</span>) }\n<span class=\"ruby-identifier\">s1</span>.<span class=\"ruby-identifier\">join</span>\n<span class=\"ruby-identifier\">s2</span>.<span class=\"ruby-identifier\">join</span>\n</pre>\n"],["list","Strand","Strand.html#method-c-list","()","<p>Return an array of all Strands that are alive.\n"],["new","Strand","Strand.html#method-c-new","(&block)","<p>Create and run a strand.\n"],["new","Strand::ConditionVariable","Strand/ConditionVariable.html#method-c-new","()","<p>Create a new condition variable.\n"],["pass","Strand","Strand.html#method-c-pass","()","<p>Yield the strand, but have EM resume it on the next tick.\n"],["resume","Strand","Strand.html#method-i-resume","()","<p>Like Fiber#resume.\n"],["signal","Strand::ConditionVariable","Strand/ConditionVariable.html#method-i-signal","()","<p>Asynchronously resume a fiber waiting on this condition variable. The waiter is not resumed immediately, …\n"],["sleep","Strand","Strand.html#method-c-sleep","(seconds)","<p>EM/fiber safe sleep.\n"],["value","Strand","Strand.html#method-i-value","()","<p>Like Thread#value.  Implicitly calls #join.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">strand</span> = <span class=\"ruby-constant\">Strand</span>.<span class=\"ruby-identifier\">new</span>{ <span class=\"ruby-value\">1</span><span class=\"ruby-value\">+2</span> }\n<span class=\"ruby-identifier\">strand</span>.<span class=\"ruby-identifier\">value</span> <span class=\"ruby-comment\"># =&gt; 3</span>\n</pre>\n"],["wait","Strand::ConditionVariable","Strand/ConditionVariable.html#method-i-wait","(timeout = nil)","<p>Wait until signaled.  Returns true upon returning.\n\n<pre>x = nil\ncond = Strand::ConditionVariable.new\nStrand.new{ ...</pre>\n"],["yield","Strand","Strand.html#method-c-yield","()","<p>Alias for Fiber.yield.\n"],["LICENSE","","LICENSE_txt.html","","<p>Copyright © 2011 Christopher J. Bottaro\n<p>Permission is hereby granted, free of charge, to any person …\n"],["README","","README_rdoc.html","","<p>strand\n<p>Strand is a class that wraps Fibers and gives them Thread-like behavior by using EventMachine. …\n"]]}}